<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@80C06E=64</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Stage">
    <parameter min="1" max="8" step="1"/>
    <script state="run">
      <action condition="(maincpu.pb@80C03A==00)">maincpu.pb@80C03A=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Kill Boss with One Hit Now!">
    <script state="on">
      <action>maincpu.pw@811A88=0000</action>
      <action>maincpu.pw@811BC6=0000</action>
      <action>maincpu.pw@811D04=0000</action>
      <action>maincpu.pw@811E42=0000</action>
      <action>maincpu.pw@811F80=0000</action>
      <action>maincpu.pw@8120BE=0000</action>
      <action>maincpu.pw@8121FC=0000</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@81C4A2=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@81BE99=48</action>
      <action>maincpu.pb@81C6A5=30</action>
    </script>
  </cheat>

  <cheat desc="Invincibility (Buggy) PL1"> <comment>Some monsters can sometimes hit you !</comment>
    <parameter>
      <item value="0x80">Enabled</item>
      <item value="0x00">Disabled</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@81BF60=param</action>
    </script>
  </cheat>

  <cheat desc="Infinite Power PL1">
    <script state="run">
      <action>maincpu.pb@81BF4D=60</action>
      <action>maincpu.pb@81BF75=63</action>
    </script>
  </cheat>

  <cheat desc="Keep Barrier after Death PL1">
    <script state="run">
      <action>maincpu.pw@81BEE6=FFFF</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL1">
    <parameter>
      <item value="0x01">Default</item>
      <item value="0x02">Sword</item>
      <item value="0x03">Fire Torch</item>
      <item value="0x00">Bare Hands</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@81BF04=param</action>
    </script>
  </cheat>

  <cheat desc="Select 1st Item PL1">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@81118A=param</action>
    </script>
  </cheat>

  <cheat desc="Select 2nd Item PL1">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@81118C=param</action>
    </script>
  </cheat>

  <cheat desc="Select 3rd Item PL1">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@81118E=param</action>
    </script>
  </cheat>

  <cheat desc="Select 4th Item PL1">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@811190=param</action>
    </script>
  </cheat>

  <cheat desc="Select 5th Item PL1">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@811192=param</action>
    </script>
  </cheat>

  <cheat desc="Select 6th Item PL1">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@811194=param</action>
    </script>
  </cheat>

  <cheat desc="Select 7th Item PL1">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@811196=param</action>
    </script>
  </cheat>

  <cheat desc="Select 8th Item PL1">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@811198=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@81C6EE=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@81BFD7=48</action>
      <action>maincpu.pb@81C8F1=68</action>
    </script>
  </cheat>

  <cheat desc="Invincibility (Buggy) PL2"> <comment>Some monsters can sometimes hit you !</comment>
    <parameter>
      <item value="0x80">Enabled</item>
      <item value="0x00">Disabled</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@81C09E=param</action>
    </script>
  </cheat>

  <cheat desc="Infinite Power PL2">
    <script state="run">
      <action>maincpu.pb@81C08B=60</action>
      <action>maincpu.pb@81C0B3=63</action>
    </script>
  </cheat>

  <cheat desc="Keep Barrier after Death PL2">
    <script state="run">
      <action>maincpu.pw@81C024=FFFF</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL2">
    <parameter>
      <item value="0x01">Default</item>
      <item value="0x02">Sword</item>
      <item value="0x03">Fire Torch</item>
      <item value="0x00">Bare Hands</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@81C042=param</action>
    </script>
  </cheat>

  <cheat desc="Select 1st Item PL2">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@811208=param</action>
    </script>
  </cheat>

  <cheat desc="Select 2nd Item PL2">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@81120A=param</action>
    </script>
  </cheat>

  <cheat desc="Select 3rd Item PL2">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@81120C=param</action>
    </script>
  </cheat>

  <cheat desc="Select 4th Item PL2">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@81120E=param</action>
    </script>
  </cheat>

  <cheat desc="Select 5th Item PL2">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@811210=param</action>
    </script>
  </cheat>

  <cheat desc="Select 6th Item PL2">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@811212=param</action>
    </script>
  </cheat>

  <cheat desc="Select 7th Item PL2">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@811214=param</action>
    </script>
  </cheat>

  <cheat desc="Select 8th Item PL2">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@811216=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL3">
    <script state="run">
      <action>maincpu.pb@81C93A=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL3">
    <script state="run">
      <action>maincpu.pb@81C115=48</action>
      <action>maincpu.pb@81CB3D=A0</action>
    </script>
  </cheat>

  <cheat desc="Invincibility (Buggy) PL3"> <comment>Some monsters can sometimes hit you !</comment>
    <parameter>
      <item value="0x80">Enabled</item>
      <item value="0x00">Disabled</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@81C1DC=param</action>
    </script>
  </cheat>

  <cheat desc="Infinite Power PL3">
    <script state="run">
      <action>maincpu.pb@81C1C9=60</action>
      <action>maincpu.pb@81C1F1=63</action>
    </script>
  </cheat>

  <cheat desc="Keep Barrier after Death PL3">
    <script state="run">
      <action>maincpu.pw@81C162=FFFF</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL3">
    <parameter>
      <item value="0x01">Default</item>
      <item value="0x02">Sword</item>
      <item value="0x03">Fire Torch</item>
      <item value="0x00">Bare Hands</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@81C180=param</action>
    </script>
  </cheat>

  <cheat desc="Select 1st Item PL3">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@811286=param</action>
    </script>
  </cheat>

  <cheat desc="Select 2nd Item PL3">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@811288=param</action>
    </script>
  </cheat>

  <cheat desc="Select 3rd Item PL3">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@81128A=param</action>
    </script>
  </cheat>

  <cheat desc="Select 4th Item PL3">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@81128C=param</action>
    </script>
  </cheat>

  <cheat desc="Select 5th Item PL3">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@81128E=param</action>
    </script>
  </cheat>

  <cheat desc="Select 6th Item PL3">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@811290=param</action>
    </script>
  </cheat>

  <cheat desc="Select 7th Item PL3">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@811292=param</action>
    </script>
  </cheat>

  <cheat desc="Select 8th Item PL3">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@811294=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL4">
    <script state="run">
      <action>maincpu.pb@81CB86=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL4">
    <script state="run">
      <action>maincpu.pb@81C253=48</action>
      <action>maincpu.pb@81CD89=D8</action>
    </script>
  </cheat>

  <cheat desc="Invincibility (Buggy) PL4"> <comment>Some monsters can sometimes hit you !</comment>
    <parameter>
      <item value="0x80">Enabled</item>
      <item value="0x00">Disabled</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@81C31A=param</action>
    </script>
  </cheat>

  <cheat desc="Infinite Power PL4">
    <script state="run">
      <action>maincpu.pb@81C307=60</action>
      <action>maincpu.pb@81C32F=63</action>
    </script>
  </cheat>

  <cheat desc="Keep Barrier after Death PL4">
    <script state="run">
      <action>maincpu.pw@81C2A0=FFFF</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL4">
    <parameter>
      <item value="0x01">Default</item>
      <item value="0x02">Sword</item>
      <item value="0x03">Fire Torch</item>
      <item value="0x00">Bare Hands</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@81C2BE=param</action>
    </script>
  </cheat>

  <cheat desc="Select 1st Item PL4">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@811304=param</action>
    </script>
  </cheat>

  <cheat desc="Select 2nd Item PL4">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@811306=param</action>
    </script>
  </cheat>

  <cheat desc="Select 3rd Item PL4">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@811308=param</action>
    </script>
  </cheat>

  <cheat desc="Select 4th Item PL4">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@81130A=param</action>
    </script>
  </cheat>

  <cheat desc="Select 5th Item PL4">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@81130C=param</action>
    </script>
  </cheat>

  <cheat desc="Select 6th Item PL4">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@81130E=param</action>
    </script>
  </cheat>

  <cheat desc="Select 7th Item PL4">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@811310=param</action>
    </script>
  </cheat>

  <cheat desc="Select 8th Item PL4">
    <parameter>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x0000">None</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@811312=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Select Region"> <comment>This cheat sets the machine region - the effectiveness may vary! You have to enable this ASAP - ON or before the ROM check screen! Or enable + RESET</comment>
    <parameter>
      <item value="0x01">China</item>
      <item value="0x02">Japan</item>
      <item value="0x04">Hongkong</item>
      <item value="0x05">World</item>
      <item value="0x03">Korea</item>
      <item value="0x00">Taiwan</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@818D9C=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
